Get the list of evaluations as per the account for AWS Controls

Specify the details such as control ID, resource ID, and connector ID to get the statistics for a specified control and resource ID.

GET   /rest/v1/aws/evaluations/{accountId}

Input ParametersInput Parameters

Parameter Mandatory Data Type Description

accountId

Mandatory String

(Specify the unique Id associated with your AWS account.

filter

Optional String

Filter the resources list by providing a query using Qualys syntax.

If you do not add a date filter, by default, the data for the last 24 hours is included in the response. If you need data for specific date or date range, form your filter query using evaluatedOn token.

Examples:

Show resources discovered within certain dates
evaluatedOn: [2019-01-01 ... 2019-03-01]

Show resources updated starting 2019-01-01, ending 1 month ago
evaluatedOn: [2019-01-01 ... now-1m].

Learn more about the evalutedOn token here.

Sample - Get the list of evaluations as per the account for AWS ControlsSample - Get the list of evaluations as per the account for AWS Controls

API request

    
curl -k -X GET -u <username>:<password>    
"<qualys_base_url>/cloudview-api/rest/v1/aws/evaluations/888888888888"
      

Response

      {
    "content": [
        {
            "controlName": "Ensure multi-factor authentication (MFA) is enabled for all IAM users that have a console password",
            "policyName": "CIS Amazon Web Services Foundations Benchmark",
            "criticality": "HIGH",
            "service": "IAM",
            "result": "FAIL",
            "controlId": "1",
            "passedResources": 6,
            "failedResources": 32,
            "passWithExceptionResources": 1
        },
        {
            "controlName": "Ensure console credentials unused for 90 days or greater are disabled",
            "policyName": "CIS Amazon Web Services Foundations Benchmark",
            "criticality": "HIGH",
            "service": "IAM",
            "result": "FAIL",
            "controlId": "2",
            "passedResources": 8,
            "failedResources": 30,
            "passWithExceptionResources": 0
        },
  
  
        
      
  
  
        
  ...
  
  
        
      {
            "controlName": "Ensure that all the expired SSL/TLS certificates stored in AWS IAM are removed",
            "policyName": "AWS Best Practices Policy",
            "criticality": "HIGH",
            "service": "IAM",
            "result": "FAIL",
            "controlId": "68",
            "passedResources": 1,
            "failedResources": 3
  
  
        
        "passWithExceptionResources": 0
        }
    ],
    "pageable": {
        "sort": {
            "unsorted": true,
            "sorted": false
        },
        "pageSize": 100,
        "pageNumber": 0,
        "offset": 0,
        "paged": true,
        "unpaged": false
    },
    "last": true,
    "totalElements": 68,
    "totalPages": 1,
    "first": true,
    "sort": {
        "unsorted": true,
        "sorted": false
    },
    "numberOfElements": 68,
    "size": 100,
    "number": 0
}